Run of lintian-fixes for rust-reqwest

Try this locally (using the lintian-brush package):

debcheckout rust-reqwest
cd rust-reqwest
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
[2021-04-19 23:29:04] Running ['lintian-brush']
[2021-04-19 23:29:04] Opening branch at https://salsa.debian.org/rust-team/debcargo-conf.git/,branch=master
[2021-04-19 23:29:06] Cached branch URL https://janitor.debian.net/git/rust-reqwest,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/rust-reqwest/": location is a repository.
[2021-04-19 23:29:07] Total 58547 (delta 3219), reused 3352 (delta 2877), pack-reused 54728
[2021-04-19 23:29:07] 
[2021-04-19 23:29:34] Total 15732 (delta 0), reused 0 (delta 0), pack-reused 15732
[2021-04-19 23:29:43] Workspace ready - starting.
[2021-04-19 23:29:48] Unable to verify bug database URL https://github.com/seanmonstar/reqwest/issues: rate limit exceeded
[2021-04-19 23:29:49] assuming changelog needs to be updated since gbp dch only suppors a debian directory in the root of the repository Specify --no-update-changelog to override.
[2021-04-19 23:30:30] only add-on fixers found
[2021-04-19 23:30:31] Opened schroot session unstable-amd64-sbuild-7eca32ff-87ac-4e5c-a7cd-a21d195201ed (from unstable-amd64-sbuild)
[2021-04-19 23:30:31] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f4a4e7884f0>, [functools.partial(<function python_tie_breaker at 0x7f4a50151f70>, <GitWorkingTree of /tmp/janitoru3x3iju6/rust-reqwest>, 'src/reqwest'), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-7eca32ff-87ac-4e5c-a7cd-a21d195201ed'), <function popcon_tie_breaker at 0x7f4a3e6cc550>]))]
[2021-04-19 23:30:31] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-19 23:38:09] Built ['rust-reqwest_0.9.19-5~jan+lint1_amd64.changes'].
[2021-04-19 23:38:43] Running lintian
Non-zero status 25 from dpkg-source -q --no-check --extract /tmp/janitoru3x3iju6/rust-reqwest_0.9.19-5~jan+lint1.dsc /tmp/lintian-pool-fPaKyk1uzV/rust-reqwest/rust-reqwest_0.9.19-5~jan+lint1_source/unpacked:
dpkg-source: error: cannot copy /tmp/janitoru3x3iju6/rust-reqwest_0.9.19.orig.tar.gz to /tmp/lintian-pool-fPaKyk1uzV/rust-reqwest/rust-reqwest_0.9.19-5~jan+lint1_source/rust-reqwest_0.9.19.orig.tar.gz: No such file or directory
[2021-04-19 23:38:46] lintian failed to run.
[2021-04-19 23:38:46] Unable to obtain lock file:///var/lib/jenkins/.config/breezy/lock held by jenkins@osuosl167-amd64.debian.net on osuosl167-amd64 (process #107670), acquired 1 second ago.
Will continue to try until 23:39:16, unless you press Ctrl-C.
See "brz help break-lock" for more.
[2021-04-19 23:38:50] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 233, in run_worker
    import_branches(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 314, in import_branches
    import_branches_git(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 278, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 815, in fetch_refs
    new_refs = self.target.send_pack(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 949, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2004, in send_pack
    resp, read = self._smart_request(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1945, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
breezy.errors.ConnectionError: Connection error: while sending POST /git/rust-reqwest/git-receive-pack: [Errno 32] Broken pipe

Summary

Full worker log Full build log